<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<body>
	<div th:fragment="searchform">
		<form th:action="@{/search}" th:object="${searchBean}" method="post">
			<div class="input-group mb-3">
				<input type="text" class="form-control" th:field="*{needle}" th:placeholder="${#strings.isEmpty(needle)} ? #{label.search} : ${needle}" onchange="progress.start(); this.form.submit();" /> <input type="submit" class="btn btn-primary"
					th:value="#{button.search}" />
			</div>
		</form>
	</div>
</body>
</html>